/*  Sirikata
 *  shim.em
 *
 *  Copyright (c) 2011, Bhupesh Chandra
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are
 *  met:
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *  * Neither the name of Sirikata nor the names of its contributors may
 *    be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


/*
  This is the main shim layer created between Emerson and C++. This is
  because we want some basic functionality to be in C++ while creating
  a layer of other essential functionalities directly in Emerson. We
  save dev time with this and we are not too much bothered about
  performance. IF performance degrades beyond tolerance, we will
  implement those functionalities in C++.
*/

// This is useful enough and pure Emerson, so we include it manually here.
system = __system; // Will get overwritten
system.require('std/core/bind.em');
system.js_require('std/shim/util.em');
system.require('std/shim/sandbox.em');
system.require('std/shim/system.em');
system.require('std/shim/messaging/messaging.em');
system.require('std/featureObject/proxManager.em');
system.require('std/shim/class.em');
system.require('std/shim/capabilities.em');

system.require('std/shim/presence.em');
system.require('std/shim/visible.em');

system.require('std/shim/vec3.em');
system.require('std/shim/quaternion.em');
system.require('std/shim/bbox.em');

system.require('std/shim/raytrace.em');
